%global _description \
Pygments is a generic syntax highlighter suitable for use \
in code hosting, forums, wikis or other applications that \
need to prettify source code. Highlights are: \
	* a wide range of over 500 languages and other text \
	  formats is supported \
	* special attention is paid to details that increase \
	  highlighting quality \
	* support for new languages and formats are added easily; \
	  most languages use a simple regex-based lexing mechanism \
	* a number of output formats is available, among them HTML, \
	  RTF, LaTeX and ANSI sequences \
	* it is usable as a command-line tool and as a library \
	* … and it highlights even Perl 6!

Name:           python-pygments
Summary:        Syntax highlighting engine written in Python
Version:        2.7.4
Release:        1
License:        BSD
URL:            http://pygments.org/
Source0:        https://pypi.org/packages/source/P/Pygments/Pygments-%{version}.tar.gz

BuildArch:      noarch

%description
%{_description}

%package -n python3-pygments
BuildRequires:  python3-devel, python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest
%endif
%if %{with docs}
BuildRequires:  python3-sphinx
%endif
Summary:        Syntax highlighting engine written in Python
%{?python_provide:%python_provide python3-pygments}

%description -n python3-pygments
%{_description}

%package_help

%prep
%autosetup -p1 -n Pygments-%{version}

%build
%{__sed} -i 's/\r//' LICENSE
%py3_build

%install
%py3_install
%if %{with docs}
%{__python3} setup.py build_sphinx
rm -rf build/sphinx/html/.buildinfo
install doc/pygmentize.1 -Dt %{buildroot}%{_mandir}/man1/
chmod -x %{buildroot}%{_mandir}/man1/*.1
%endif
cp -r doc/docs doc/reST
%if %{with tests}
%check
make test PYTHON=%{python3}
%endif


%files -n python3-pygments
%license LICENSE
%{python3_sitelib}/*
%{_bindir}/pygmentize

%files help
%doc AUTHORS CHANGES doc/reST
%if %{with docs}
%lang(en) %{_mandir}/man1/pygmentize.1*
%doc build/sphinx/html
%endif

%changelog
* Wed Jan 13 2021 SimpleUpdate Robot <tc@openeuler.org> - 2.7.4-1
- Upgrade to version 2.7.4

* Tue Jul 28 2020 jinzhimin<jinzhimin2@huawei.com> - 2.6.1-1
- update to 2.6.1-1

* Fri Dec 6 2019 caomeng<caomeng5@huawei.com> - 2.2.0-15
- Package init
